function idx=trcvaridx(TrcRecord,label,setidx=1)
  
# idx = trcvaridx(TrcRecord, label, setidx)
#
# Returns the numerical index of a measurement variable in TrcRecord.Sets().values
# indicated by its label (such as "Vf", depending on the particular curve tracer
# and characteristic type). The label is case-insensitive.
#
# The additional parameter setidx enablea a specific data set (characterictic
# branch) to be indicated by its index. Otherwise, the set with index 1 is used.
#
# Returns 0 if no waveform with the givel label is found in TrcRecord.

# Author:
#   Lukasz Starzak 
#   Dept. of Microelectronics and Computer Science, Lodz University of Technology

  label = tolower(label);
  idx = 0;
  labels = TrcRecord.Sets(setidx).Params.labels;
  for iVar=[1:length(labels)]
    if (strcmp(tolower(labels(iVar)), label))
      idx = iVar;
      break
    endif
  endfor
endfunction
